Subject: Re: [Sipping] WGLC of draft-ietf-sipping-service-examples-10.txt

From: "Jeroen van Bemmel" <[email-masked]>
Date: Mon, 12 Jun 2006 22:32:32 +0200

Comments for <[email-masked]>
      2.13. Find-Me

I found the following errors, in decreasing order of severity:

1) F14 is missing a Via header
2) F16, F17, F19 have a top via header without magic cookie
3) F19 top via is missing 'received' parameter
4) F20 has a malformed Contact (should be client4 and without ".116")
5) F1, F10, F12, F20 have extra whitespace lines
6) F23-F26 Via host should be "client4.biloxi.example.com"

Regards,

Jeroen

----- Original Message ----- 
From: "Gonzalo Camarillo" <[email-masked]>
To: "sipping" <[email-masked]>
Cc: "Robert Sparks" <[email-masked]>; "Mary Barnes" 
<[email-masked]>; <[email-masked]>
Sent: Thursday, May 11, 2006 7:37 PM
Subject: [Sipping] WGLC of draft-ietf-sipping-service-examples-10.txt

> Folks,
>
> we would like to working group last call (WGLC) the following draft:
>
> http://www.ietf.org/internet-drafts/draft-ietf-sipping-service-examples-10.txt
>
> as you have probably noticed if you clicked on the link above, this is a 
> very long draft. Therefore, we would like to get at least ten volunteers 
> to review it. We will assign a couple of sections to each reviewer.
>
> If you are interested and willing to review this draft, please send an 
> email to the SIPPING chairs.
>
> The email below should be considered as a WGLC comment:
>
> http://www1.ietf.org/mail-archive/web/sipping/current/msg10886.html
>
> This is the output of the idnits tool:
>
> idnits 1.96
>
> tmp/draft-ietf-sipping-service-examples-10.txt:
>
>
>   Checking nits according to http://www.ietf.org/ID-Checklist.html:
>
>     Checking conformance with RFC 3978/3979 boilerplate...
>
>     the boilerplate looks good.
>
>   * There is 1 instance of too long lines in the document, the longest one
>     being 1 character in excess of 72.
>
>   Checking nits according to http://www.ietf.org/ietf/1id-guidelines.txt:
>     Nothing found here (but these checks do not cover all of
>     1id-guidelines.txt yet).
>
>   Miscellaneous warnings:
>   - Line 1028 has weird spacing: '... /* Bob  place...'
>   - Line 1404 has weird spacing: '... /* Bob  takes...'
>   - Line 1732 has weird spacing: '... /* Bob  place...'
>   - Line 2459 has weird spacing: '...and Bob  have ...'
>   - Line 2597 has weird spacing: '... /* Bob  puts ...'
>   - (4 more instances...)
>
>   Experimental warnings:
>   - Unused Reference: [18] is defined on line 7860, but not referenced
>   - Unused Reference: [13] is defined on line 7839, but not referenced
>   - Unused Reference: [14] is defined on line 7842, but not referenced
>   - Unused Reference: [1] is defined on line 7795, but not referenced
>
>
>
>
> This WGLC will end on July 1st, 2006 (a long draft needs a long WGLC).
>
> Thanks,
>
> Gonzalo
> SIPPING co-chair
>
>
> _______________________________________________
> Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
> This list is for NEW development of the application of SIP
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments of core SIP 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: [email-masked]
Date: Wed, 28 Jun 2006 11:58:21 -0400

From: Cullen Jennings <[email-masked]>

   In section 2.17

   Say F1 had forked and no dialog had been formed with Alice.

I assume you mean, "no committed dialog had been formed with Alice",
since Alice and Bob *have* to form an early dialog, otherwise Bob's
dialog event package can't list the early dialog, which Bill
retrieves.

   When the INVITE with replaces happens in F7, it has the to-tag.

It has the to-tag of the Alice-Bob early dialog, and the from-tag of
F1.

   Will Alice be able to correctly match this and do the right thing?

Yes, because the remote tag (from Alice's point of view) distinguishes
the Alice-Bob early dialog from all others.

   Does this new invite form both a new dialog and the old dialog of
   the F1 transaction? It was not clear to me if the procedures
   defined in 3891 would cause the right thing to happen.

The dialog created by F7 will be a committed dialog, of course,
because Alice is already off-hook, and her UA responds 200.  The early
dialogs created by F1 will all be terminated by the CANCEL F9.

Dale